Skip to main content
Create Order
curl --request POST \
  --url https://synthesis.trade/api/v1/wallet/pol/{wallet_id}/order \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "token_id": "<string>",
  "side": "<string>",
  "type": "<string>",
  "amount": "<string>",
  "units": "<string>",
  "price": "<string>"
}
'
{
  "success": true,
  "response": {
    "order_id": "..."
  }
}

Authorizations

X-API-KEY
string
header
required

Account secret API key.

Path Parameters

wallet_id
string
required

Body

application/json
token_id
string
required

Polymarket token ID as a numeric string.

side
string
required

BUY or SELL.

type
string
required

MARKET, LIMIT, or STOPLOSS.

amount
string
required

Order amount as string or number.

units
string
required

USDC or SHARES.

price
string

Required for LIMIT and STOPLOSS. Must be greater than 0 and less than or equal to 1.

Response

201 - application/json

Polygon order created | Polygon stoploss created